//
//  CPDFImageViewController.h
//  PDFViewer
//
//  Created by kdan on 2022/11/19.
//

#import <UIKit/UIKit.h>


@class CPDFImagePreview;
@class CPDFImageView;
@class CPDFDataModel;

NS_ASSUME_NONNULL_BEGIN

@interface CPDFImageViewController : UIViewController

@property (nonatomic,strong) CPDFImagePreview *imagePreview;
@property (nonatomic,strong) CPDFImageView *imageView;
@property (nonatomic,strong) CPDFDataModel *dataModel;

- (void)initDataModel;
- (void)addTargets;
- (void)addConstraint;
- (void)createGestureRecognizer;
- (void)createCustomRangeAlert;

@end

NS_ASSUME_NONNULL_END
