//
//  CPDFTextViewController.h
//  PDFViewer
//
//  Created by kdan on 2022/11/19.
//

#import <UIKit/UIKit.h>


@class CPDFTextPreview;
@class CPDFTextView;
@class CPDFDataModel;

NS_ASSUME_NONNULL_BEGIN

@interface CPDFTextViewController : UIViewController

@property (nonatomic,strong) CPDFTextPreview *textPreview;
@property (nonatomic,strong) CPDFTextView *textView;
@property (nonatomic,strong) CPDFDataModel *dataModel;
@property (nonatomic,strong) UIAlertController *alertController;

- (void)initDataModel;
- (void)addTargets;
- (void)addConstraint;
- (void)watermarkAdaption;
- (void)createGestureRecognizer;
- (void)createCustomRangeAlert;

@end

NS_ASSUME_NONNULL_END
