//
//  CPDFDataModel.h
//  PDFViewer
//
//  Created by kdan on 2022/11/21.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@interface CPDFDataModel : NSObject

@property (nonatomic,copy) NSString *text;
@property (nonatomic,strong) UIColor *textColor;

@property (nonatomic,assign) CGFloat watermarkOpacity;
@property (nonatomic,assign) CGFloat watermarkScale;
@property (nonatomic,assign) BOOL isTile;
@property (nonatomic,assign) NSString *pageString;
@property (nonatomic,assign) CGFloat tx;
@property (nonatomic,assign) CGFloat ty;
@property (nonatomic,assign) CGFloat watermarkRotation;

@property (nonatomic,copy) NSString *imagePath;

@end

NS_ASSUME_NONNULL_END
